Agent History
GET
/api/v1/agents/{agent_id}/historyAuthentication
Syllable-API-KeyrequiredSend Syllable-API-Key in the header.
Need a credential? Create or manage an API token in the Syllable Console.
Parameters
Path parameters
agent_id
integer
path
required
Query parameters
page
integer
query
optional
Default
0Minimum 0Example 0limit
integer
query
optional
Default
25Minimum 1Maximum 100Example 25order_by_direction
enum<string>
query
optional
Allowed values
["asc","desc"]Default descExample descResponses
200Successful Response
application/json
response
ListResponse_AgentHistoryMetadata_
required
5 fields
itemsAgentHistoryMetadata[]requiredList of items returned from the query
Item schema
itemsAgentHistoryMetadatarequired5 fields
agent_idintegerrequiredversion_numberintegerrequiredcreated_atstring (date-time)requiredupdated_bystringrequiredcommentsstring | nullrequiredpageintegerrequiredThe page number of the results (0-based)
page_sizeintegerrequiredThe number of items returned per page
total_pagesinteger | nulloptionalThe total number of pages of results given the indicated page size
total_countinteger | nulloptionalThe total number of items returned from the query
Response example
{
"items": [
{
"agent_id": 0,
"version_number": 0,
"created_at": "string",
"updated_by": "string",
"comments": "string"
}
],
"page": 0,
"page_size": 0,
"total_pages": "string",
"total_count": "string"
}403Agent read permission required
application/json
response
AgentErrorResponse
required
1 field
detailstringrequiredResponse example
{
"detail": "string"
}404Agent not found
application/json
response
AgentErrorResponse
required
1 field
detailstringrequiredResponse example
{
"detail": "string"
}422Validation Error
application/json
response
HTTPValidationError
required
1 field
detailValidationError[]optionalItem schema
itemsValidationErrorrequired3 fields
locstring | integer[]requiredItem schema
itemsstring | integerrequired2 options
Option 1stringrequiredOption 2integerrequiredmsgstringrequiredtypestringrequiredResponse example
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}
